@echo off
rem *********************************************************************
rem *                                                                   *
rem * NOME SCRIPT: Associazione_File_Office_a_OpenOffice.cmd            *
rem *                                                                   *
rem * Script scritto da A. Tani (Sedoc S.r.l.)                          *
rem *                                                                   *
rem * Versione 1.0 - Modificato l'ultima volta il 13/02/2010            *
rem *                da Alessandro Tani                                 *
rem * SCOPO:                                                            *
rem *                                                                   *
rem *  Questo script associa i file di MS Office ad OpenOffice          *
rem *                                                                   *
rem * File di log:                                                      *
rem *                                                                   *
rem *  Nessuno                                                          *
rem *                                                                   *
rem * PREREQUISITI:                                                     *
rem *                                                                   *
rem *  Lo script deve venire eseguito da una persona che fa parte dei   *
rem *  gruppi Domain Admins o del gruppo locale Administrators della    *
rem *  postazione di lavoro su cui viene eseguito lo script.            *
rem *  L'associazione dei file di MS Office ad OpenOffice  valida per  *
rem *  tutti gli utenti che operano o opereranno sulla postazioni       *
rem *  di lavoro.                                                       *
rem *                                                                   *
rem * TESTO:                                                            *
rem *                                                                   *
rem *  Nessuno                                                          *
rem *                                                                   *
rem *********************************************************************

rem Definiamo l'ambiente locale
setlocal enableextensions
echo.

echo Word documents: .doc, .docx ...
rem Word documents .doc, .docx etc.
assoc .doc=OpenOffice.org.Doc
assoc .dot=OpenOffice.org.Dot
assoc .docx=OpenOffice.org.Docx
assoc .docm=OpenOffice.org.Docm
assoc .rtf=OpenOffice.org.rtf
echo.

echo Powerpoint slideshows: .ppt, .pptx ... 
rem Powerpoint slideshows, .ppt, .pptx etc.
assoc .pps=OpenOffice.org.Pps
assoc .ppsm=OpenOffice.org.Ppsm
assoc .ppsx=OpenOffice.org.Ppsx
assoc .ppt=OpenOffice.org.Pptx
assoc .pptm=OpenOffice.org.Pptm
assoc .pptx=OpenOffice.org.Pptx
echo.

echo Excel spreadsheets: .xls, .xlsx ...
rem Excel spreadsheets, .xls, .xlsx etc.
assoc .xls=OpenOffice.org.Xls
assoc .xlt=OpenOffice.org.Xlt
assoc .xlsb=OpenOffice.org.Xlsb
assoc .xlsx=OpenOffice.org.Xlsx
assoc .xlsm=OpenOffice.org.Xlsm
assoc .xltx=OpenOffice.org.Xlsx
assoc .xltm=OpenOffice.org.Xlsm

:END
echo.
endlocal
exit /b